require 'logstash/filters/ezproxy_providers/cambridge'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::Cambridge do
    CSV.foreach('spec/filters/cambridge/cambridge.2013-10-28.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[10])
        uri = parsed_url['uri']
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[10]
        it name do
            data = EzproxyProviders::Cambridge.parse(path, params, uri)
            expect(data["online_identifier"]).to eq(row[0])
            expect(data["print_identifier"]).to eq(row[1])
            expect(data["volume"]).to eq(row[2])
            expect(data["issue"]).to eq(row[3])
            expect(data["doi"]).to eq(row[4])
            expect(data["pii"]).to eq(row[5])
            expect(data["title_id"]).to eq(row[6])
            expect(data["unit_id"]).to eq(row[7])
            expect(data["rtype"]).to eq(row[8])
            expect(data["mime"]).to eq(row[9])
        end
    end
end