require 'logstash/filters/ezproxy_providers/dawsonera'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::DawsonEra do
    CSV.foreach('spec/filters/dawsonera/dawsonera.2014-09-03.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[4])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[4]
        it name do
            data = EzproxyProviders::DawsonEra.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["online_identifier"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[2])
            expect(data["mime"]).to eq(row[3])
        end
    end
end