require 'logstash/filters/ezproxy_providers/ebookcentral'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::EBookCentral do
    CSV.foreach('spec/filters/ebookcentral/ebookcentral.2018-02-09.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[6])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[6]
        it name do
            data = EzproxyProviders::EBookCentral.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["title_id"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[2])
            expect(data["mime"]).to eq(row[3])
            expect(data["remote_id"]).to eq(row[4])
        end
    end
end