require 'logstash/filters/ezproxy_providers/ebscohost'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::Ebscohost do
    CSV.foreach('spec/filters/ebscohost/ebscohost.2014-08-21.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[11])
        uri = parsed_url['uri']
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[11]
        it name do
            data = EzproxyProviders::Ebscohost.parse(path, params, uri)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["rtype"]).to eq(row[1])
            expect(data["mime"]).to eq(row[2])
            expect(data["doi"]).to eq(row[3])
            expect(data["print_identifier"]).to eq(row[4])
            expect(data["num"]).to eq(row[5])
            expect(data["vol"]).to eq(row[6])
            expect(data["first_page"]).to eq(row[7])
            expect(data["last_page"]).to eq(row[8])
            expect(data["publication_title"]).to eq(row[9])
            expect(data["platform_name"]).to eq(row[10])
        end
    end
end