require 'logstash/filters/ezproxy_providers/elsevier'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::Elsevier do
    CSV.foreach('spec/filters/elsevier/elsevier.2018-02-20.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[2])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[2]
        it name do
            data = EzproxyProviders::Elsevier.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["title_id"]).to eq(row[1])
        end
    end
end