# encoding: utf-8
require_relative '../spec_helper'
require "logstash/filters/ezproxy"

describe LogStash::Filters::Ezproxy do
    describe "set " do
        config <<-CONFIG
            filter {
                ezproxy {
                    url =>  "input_url"
                }
            }
        CONFIG

        sample("input_url" => "http://www.jstor.org/stable/10.1086/665036") do
            insist { subject }.include?("request_metadata")
            expected_fields = %w(unit_id doi title_id rtype mime)

            expected_fields.each do |f|
                insist { subject.get('request_metadata' )}.include?(f)
            end
        end

        sample("input_url" => "http://eds.a.ebscohost.com:80/eds/results?sid=2ff3e174-b478-4663-b25e-8dc8ccd9c1c4%40sessionmgr4003&vid=1&hid=4113&bquery=(Generations%2c+AND+Discourse%2c)+AND+(Social+AND+Change.+AND+By+AND+Karen+AND+Foster)&bdata=Jmxhbmc9ZnImdHlwZT0wJnNpdGU9ZWRzLWxpdmU%3d") do
            insist { subject }.include?("request_metadata")
            expected_fields = %w(platform_name provider rtype mime)

            expected_fields.each do |f|
                insist { subject.get('request_metadata' )}.include?(f)
            end
        end

        sample("input_url" => "http://www.tandfonline.com:80/toc/gaan20/current") do
            insist { subject }.include?("request_metadata")
            expected_fields = %w(title_id rtype mime unit_id)

            expected_fields.each do |f|
                insist { subject.get('request_metadata' )}.include?(f)
            end
        end
        
        # sample("input_url" => "http://ezproxy.lancs.ac.uk:80/login?url=http://www.jstor.org/px/xhr/api/v1/collector") do
        #     insist { subject }.include?("request_metadata")
        #     # expected_fields = %w(unit_id doi title_id rtype mime)

        #     # expected_fields.each do |f|
        #     #     insist { subject.get('request_metadata' )}.include?(f)
        #     # end

        #     expect(subject.get('[request_metadata][provider]') ).to eq("jstor")
        # end
    end
end
