require 'logstash/filters/ezproxy_providers/heinonline'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::HeinOnline do
    CSV.foreach('spec/filters/heinonline/heinonline.2015-05-18.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[4])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[4]
        it name do
            data = EzproxyProviders::HeinOnline.parse(path, params)
            expect(data["title_id"]).to eq(row[0])
            expect(data["unit_id"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[2])
            expect(data["mime"]).to eq(row[3])
        end
    end
end