require 'logstash/filters/ezproxy_providers/jstor'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::Jstor do
    CSV.foreach('spec/filters/jstor/jstor.2013-10-03.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[9])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[9]
        it name do
            data = EzproxyProviders::Jstor.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["doi"]).to eq(row[1])
            expect(data["title_id"]).to eq(row[2])
            expect(data["rtype"]).to eq(row[3])
            expect(data["mime"]).to eq(row[4])
            expect(data["publication_date"]).to eq(row[5])
            expect(data["vol"]).to eq(row[6])
            expect(data["issue"]).to eq(row[7])
            expect(data["first_page"]).to eq(row[8])
        end
    end
end