require 'logstash/filters/ezproxy_providers/lexis_webanalytics'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::LexisWebAnalytics do
    CSV.foreach('spec/filters/lexis_webanalytics/lexis360.2017-04-28.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[4])
        path = parsed_url['path']
        params = parsed_url['params']
        uri = parsed_url['uri']

        name = "tests a URL " + row[4]
        it name do
            data = EzproxyProviders::LexisWebAnalytics.parse(path, params, uri)
            expect(data["title_id"]).to eq(row[0])
            expect(data["unit_id"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[2])
            expect(data["mime"]).to eq(row[3])
        end
    end
end