require 'logstash/filters/ezproxy_providers/lexisnexis'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::LexisNexis do
    CSV.foreach('spec/filters/lexisnexis/lexisnexis.2013-05-17.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[5])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[5]
        it name do
            data = EzproxyProviders::LexisNexis.parse(path, params)
            expect(data["unit_id"]).to eq(row[2])
            expect(data["title_id"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[3])
            expect(data["mime"]).to eq(row[4])
        end
    end
end