require 'logstash/filters/ezproxy_providers/myilibrary'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::MyILibrary do
    CSV.foreach('spec/filters/myilibrary/myilibrary.2018-02-09.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[4])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[4]
        it name do
            data = EzproxyProviders::MyILibrary.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["title_id"]).to eq(row[1])
            expect(data["rtype"]).to eq(row[2])
            expect(data["mime"]).to eq(row[3])
        end
    end
end