require 'logstash/filters/ezproxy_providers/oxford'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::Oxford do
    CSV.foreach('spec/filters/oxford/oxford.2018-02-15.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[5])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[5]
        it name do
            data = EzproxyProviders::Oxford.parse(path, params)
            expect(data["title_id"]).to eq(row[0])
            expect(data["unit_id"]).to eq(row[1])
            expect(data["doi"]).to eq(row[2])
            expect(data["rtype"]).to eq(row[3])
            expect(data["mime"]).to eq(row[4])
        end
    end
end