require 'logstash/filters/ezproxy_providers/proquest-search'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::ProquestSearch do
    CSV.foreach('spec/filters/proquest-search/proquest-search.2018-02-19.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[3])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[3]
        it name do
            data = EzproxyProviders::ProquestSearch.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["title_id"]).to eq(row[1])
            expect(data["mime"]).to eq(row[2])
        end
    end
end