require 'logstash/filters/ezproxy_providers/sage'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::Sage do
    CSV.foreach('spec/filters/sage/sagej.2016-12-05.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[5])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[5]
        it name do
            data = EzproxyProviders::Sage.parse(path, params)
            expect(data["title_id"]).to eq(row[0])
            expect(data["unit_id"]).to eq(row[1])
            expect(data["doi"]).to eq(row[2])
            expect(data["rtype"]).to eq(row[3])
            expect(data["mime"]).to eq(row[4])
        end
    end
end