require 'logstash/filters/ezproxy_providers/sciencedirect'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::ScienceDirect do
    CSV.foreach('spec/filters/sciencedirect/sd.2013-01-09.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[6])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[6]
        it name do
            data = EzproxyProviders::ScienceDirect.parse(path, params)
            expect(data["pii"]).to eq(row[0])
            expect(data["print_identifier"]).to eq(row[1])
            expect(data["title_id"]).to eq(row[2])
            expect(data["unit_id"]).to eq(row[3])
            expect(data["rtype"]).to eq(row[4])
            expect(data["mime"]).to eq(row[5])
        end
    end
end