require 'logstash/filters/ezproxy_providers/scopus'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::Scopus do
    CSV.foreach('spec/filters/scopus/scopus.2016-07-18.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[3])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[3]
        it name do
            data = EzproxyProviders::Scopus.parse(path, params)
            expect(data["unit_id"]).to eq(row[0])
            expect(data["rtype"]).to eq(row[1])
            expect(data["mime"]).to eq(row[2])
        end
    end
end