require 'logstash/filters/ezproxy_providers/springer'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::Springer do
    CSV.foreach('spec/filters/springer/springer.2013-01-31.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[7])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[7]
        it name do
            data = EzproxyProviders::Springer.parse(path, params)
            expect(data["online_identifier"]).to eq(row[0])
            expect(data["doi"]).to eq(row[1])
            expect(data["print_identifier"]).to eq(row[2])
            expect(data["title_id"]).to eq(row[3])
            expect(data["unit_id"]).to eq(row[4])
            expect(data["rtype"]).to eq(row[5])
            expect(data["mime"]).to eq(row[6])
        end
    end
end