require 'logstash/filters/ezproxy_providers/tandf'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::TandF do
    CSV.foreach('spec/filters/tandf/tandf.2015-03-25.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[6])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[6]
        it name do
            data = EzproxyProviders::TandF.parse(path, params)
            expect(data["title_id"]).to eq(row[0])
            expect(data["doi"]).to eq(row[1])
            expect(data["print_identifier"]).to eq(row[2])
            expect(data["unit_id"]).to eq(row[3])
            expect(data["rtype"]).to eq(row[4])
            expect(data["mime"]).to eq(row[5])
        end
    end
end