require 'logstash/filters/ezproxy_providers/webofknowledge'
require 'csv'
require 'logstash/helpers/url_parser'

RSpec.describe EzproxyProviders::WebOfKnowledge do
    CSV.foreach('spec/filters/webofknowledge/wos.2017-01-13.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[5])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[5]
        it name do
            data = EzproxyProviders::WebOfKnowledge.parse(path, params)
            expect(data["publication_title"]).to eq(row[0])
            expect(data["title_id"]).to eq(row[1])
            expect(data["unit_id"]).to eq(row[2])
            expect(data["rtype"]).to eq(row[3])
            expect(data["mime"]).to eq(row[4])
        end
    end
end