require 'logstash/filters/ezproxy_providers/wiley'
require 'logstash/helpers/url_parser'
require 'csv'

RSpec.describe EzproxyProviders::Wiley do
    CSV.foreach('spec/filters/wiley/wiley.2013-04-15.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[8])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[8]
        it name do
            data = EzproxyProviders::Wiley.parse(path, params)
            expect(data["online_identifier"]).to eq(row[0])
            expect(data["publication_date"]).to eq(row[1])
            expect(data["print_identifier"]).to eq(row[2])
            expect(data["title_id"]).to eq(row[3])
            expect(data["unit_id"]).to eq(row[4])
            expect(data["doi"]).to eq(row[5])
            expect(data["rtype"]).to eq(row[6])
            expect(data["mime"]).to eq(row[7])
        end
    end

    CSV.foreach('spec/filters/wiley/wiley.2018-02-07.csv', { :col_sep => ';', headers: true }) do |row|
        parsed_url = URLParser::parse(row[8])
        path = parsed_url['path']
        params = parsed_url['params']

        name = "tests a URL " + row[8]
        it name do
            data = EzproxyProviders::Wiley.parse(path, params)
            expect(data["online_identifier"]).to eq(row[0])
            expect(data["doi"]).to eq(row[1])
            expect(data["issue"]).to eq(row[2])
            expect(data["vol"]).to eq(row[3])
            expect(data["title_id"]).to eq(row[4])
            expect(data["unit_id"]).to eq(row[5])
            expect(data["rtype"]).to eq(row[6])
            expect(data["mime"]).to eq(row[7])
        end
    end
end